-- phpMyAdmin SQL Dump
-- version 4.9.7
-- https://www.phpmyadmin.net/
--
-- Hôte : localhost:3306
-- Généré le : ven. 15 oct. 2021 à 11:34
-- Version du serveur :  10.3.31-MariaDB
-- Version de PHP : 7.3.30

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données : `pabl6580_bp_pizzeria`
--

-- --------------------------------------------------------

--
-- Structure de la table `ingredients`
--

CREATE TABLE `ingredients` (
  `nom` varchar(255) NOT NULL,
  `nom_pizza` varchar(255) NOT NULL,
  `quantite` double NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `ingredients`
--

INSERT INTO `ingredients` (`nom`, `nom_pizza`, `quantite`) VALUES
('Champignons', 'Calzone', 300),
('Champignons', 'Espagnole', 100),
('Chorizo', 'Espagnole', 56),
('Crème fraiche', 'Chèvre-miel', 65),
('Emmental rapé', '4 Fromages', 75),
('Emmental rapé', 'Auvergnate', 95),
('Emmental rapé', 'Chèvre', 50),
('Emmental rapé', 'Espagnole', 95),
('Emmental rapé', 'Kebab', 90),
('Fromage de chèvre', '4 Fromages', 50),
('Fromage de chèvre', 'Chèvre', 125),
('Fromage de chèvre', 'Chèvre-miel', 0.5),
('Jambon', '4 Fromages', 220),
('Jambon', 'Auvergnate', 90),
('Jambon', 'Calzone', 250),
('Jambon', 'Espagnole', 185),
('Kebab', 'Kebab', 80),
('Lardons', 'Auvergnate', 120),
('Miel', 'Chèvre', 49),
('Miel', 'Chèvre-miel', 50),
('Miel', 'Kebab', 85),
('Mozzarella', '4 Fromages', 100),
('Mozzarella', 'Calzone', 150),
('Mozzarella', 'Espagnole', 200),
('Mozzarella', 'Kebab', 160),
('Mozzarella', 'Margherita', 125),
('Oignons', '4 Fromages', 125),
('Oignons', 'Auvergnate', 75),
('Oignons', 'Chèvre', 200),
('Oignons', 'Espagnole', 333),
('Oignons', 'Kebab', 120),
('Olives', '4 Fromages', 10),
('Olives', 'Auvergnate', 10),
('Olives', 'Kebab', 40),
('Poivrons', 'Espagnole', 70),
('Saint Nectaire', '4 Fromages', 60),
('Saint Nectaire', 'Auvergnate', 150),
('Sauce tomate', '4 Fromages', 185),
('Sauce tomate', 'Auvergnate', 75),
('Sauce tomate', 'Chèvre', 200),
('Sauce tomate', 'Espagnole', 25),
('Sauce tomate', 'Kebab', 50),
('Sauce tomate', 'Margherita', 200),
('Sel', 'Chèvre-miel', 18);

-- --------------------------------------------------------

--
-- Structure de la table `pizzas`
--

CREATE TABLE `pizzas` (
  `nom` varchar(255) NOT NULL,
  `prix_vente` decimal(4,2) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `pizzas`
--

INSERT INTO `pizzas` (`nom`, `prix_vente`) VALUES
('4 Fromages', 7.00),
('Auvergnate', 7.00),
('Calzone', 9.00),
('Chèvre', 9.60),
('Chèvre-miel', 10.20),
('Espagnole', 6.80),
('Hawaïenne', 11.00),
('Kebab', 8.30),
('Margherita', 6.00),
('Pepperoni', 8.50),
('Truffade', 9.40);

-- --------------------------------------------------------

--
-- Structure de la table `produits`
--

CREATE TABLE `produits` (
  `nom` varchar(255) NOT NULL,
  `prix_kg` decimal(4,2) NOT NULL,
  `allergene` tinyint(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `produits`
--

INSERT INTO `produits` (`nom`, `prix_kg`, `allergene`) VALUES
('Ananas', 2.53, 0),
('Anchois', 48.00, 1),
('Boeuf hâché', 22.12, 0),
('Câpres', 49.00, 1),
('Champignons', 3.60, 0),
('Chorizo', 14.00, 0),
('Crème fraiche', 14.00, 1),
('Emmental rapé', 0.45, 1),
('Fromage de chèvre', 3.50, 1),
('Jambon', 27.96, 0),
('Kebab', 8.05, 0),
('Lardons', 8.05, 0),
('Miel', 19.60, 0),
('Mozzarella', 11.00, 1),
('Oignons', 0.42, 0),
('Olives', 7.38, 0),
('Poivrons', 2.50, 0),
('Poulet', 12.70, 0),
('Saint Nectaire', 17.00, 1),
('Sauce tomate', 2.36, 0),
('Saumon fumé', 29.00, 1),
('Sel', 18.00, 0),
('Tome fraiche', 9.30, 1);

-- --------------------------------------------------------

--
-- Structure de la table `ventes`
--

CREATE TABLE `ventes` (
  `id` int(11) NOT NULL,
  `date` date NOT NULL DEFAULT current_timestamp(),
  `nom_pizza` varchar(255) DEFAULT NULL,
  `note_consommateur` int(1) UNSIGNED DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Déchargement des données de la table `ventes`
--

INSERT INTO `ventes` (`id`, `date`, `nom_pizza`, `note_consommateur`) VALUES
(1, '2018-09-11', 'Chèvre', 1),
(2, '2018-09-14', 'Chèvre', 3),
(3, '2018-09-14', 'Margherita', 4),
(4, '2018-09-15', 'Kebab', 2),
(5, '2018-09-19', 'Margherita', 5),
(6, '2018-09-20', '4 Fromages', 5),
(7, '2018-09-28', 'Chèvre', 4),
(8, '2018-10-08', 'Margherita', 5),
(9, '2018-10-11', 'Kebab', 3),
(10, '2018-10-12', 'Truffade', 5),
(11, '2018-10-13', 'Kebab', 4),
(12, '2018-10-16', 'Espagnole', 5),
(13, '2018-10-19', 'Margherita', 4),
(14, '2018-10-19', 'Calzone', 4),
(15, '2018-10-23', 'Kebab', 3),
(16, '2018-10-24', 'Espagnole', 5),
(17, '2018-10-29', 'Pepperoni', 1),
(18, '2018-10-29', 'Chèvre', 3),
(19, '2018-10-30', 'Espagnole', 4),
(20, '2018-10-31', 'Auvergnate', 5),
(21, '2018-11-01', '4 Fromages', 4),
(22, '2018-11-01', 'Truffade', 5),
(23, '2018-11-01', 'Auvergnate', 5),
(24, '2018-11-03', 'Chèvre-miel', 3),
(25, '2018-11-08', '4 Fromages', 4),
(26, '2018-11-11', 'Chèvre', 2),
(27, '2018-11-14', 'Espagnole', 5),
(28, '2018-11-14', 'Pepperoni', 5),
(29, '2018-11-15', '4 Fromages', 3),
(30, '2018-11-19', 'Truffade', 5),
(31, '2018-11-20', 'Auvergnate', 5),
(32, '2018-11-20', '4 Fromages', 3),
(33, '2018-11-22', 'Calzone', 2),
(34, '2018-11-23', 'Espagnole', 3),
(35, '2018-11-27', 'Kebab', 4),
(36, '2018-11-27', 'Auvergnate', NULL),
(37, '2018-11-27', 'Calzone', 5),
(38, '2018-12-13', '4 Fromages', NULL),
(39, '2018-12-14', '4 Fromages', 4),
(40, '2018-12-17', 'Truffade', NULL),
(41, '2018-12-20', 'Margherita', 5),
(42, '2018-12-21', 'Pepperoni', 3),
(43, '2018-12-29', 'Espagnole', 3),
(44, '2018-12-31', 'Auvergnate', 4),
(45, '2019-01-01', 'Chèvre-miel', 4),
(46, '2019-01-11', 'Margherita', 3),
(47, '2019-01-15', 'Kebab', NULL),
(48, '2019-01-16', 'Pepperoni', 4),
(49, '2019-01-20', 'Auvergnate', 5),
(50, '2019-01-25', 'Calzone', 4),
(51, '2019-01-28', 'Auvergnate', 2),
(52, '2019-01-28', 'Espagnole', 5),
(53, '2019-01-29', 'Chèvre', 3),
(54, '2019-02-05', 'Margherita', NULL),
(55, '2019-02-11', 'Margherita', 4),
(56, '2019-02-12', 'Margherita', 2),
(57, '2019-02-18', 'Chèvre', 5),
(58, '2019-02-20', 'Auvergnate', 4),
(59, '2019-02-27', 'Auvergnate', 5),
(60, '2019-03-01', 'Truffade', 5),
(61, '2019-03-02', 'Truffade', 4),
(62, '2019-03-03', 'Chèvre-miel', 3),
(63, '2019-03-05', '4 Fromages', 5),
(64, '2019-03-05', 'Hawaïenne', 1),
(65, '2019-03-07', 'Margherita', 3),
(66, '2019-03-08', '4 Fromages', 4),
(67, '2019-03-09', '4 Fromages', 5),
(68, '2019-03-10', 'Calzone', 5),
(69, '2019-03-10', 'Pepperoni', 5),
(70, '2019-03-12', 'Hawaïenne', 2),
(71, '2019-03-13', 'Calzone', 3),
(72, '2019-03-14', 'Auvergnate', NULL),
(73, '2019-03-17', 'Espagnole', NULL),
(74, '2019-03-23', 'Pepperoni', 4),
(75, '2019-03-26', 'Calzone', NULL),
(76, '2019-04-03', 'Kebab', 4),
(77, '2019-04-03', 'Auvergnate', 4),
(78, '2019-04-07', 'Calzone', 4),
(79, '2019-04-10', 'Truffade', 5),
(80, '2019-04-12', 'Chèvre', 4),
(81, '2019-04-12', 'Auvergnate', 4),
(82, '2019-04-16', 'Truffade', 5),
(83, '2019-05-03', 'Hawaïenne', 1),
(84, '2019-05-04', 'Chèvre', 4),
(85, '2019-05-06', 'Margherita', 3),
(86, '2019-05-06', 'Truffade', 5),
(87, '2019-05-06', '4 Fromages', 3),
(88, '2019-05-18', 'Pepperoni', 2),
(89, '2019-05-27', 'Chèvre-miel', NULL),
(90, '2019-05-29', 'Calzone', NULL),
(91, '2019-06-01', 'Calzone', 3),
(92, '2019-06-03', 'Truffade', NULL),
(93, '2019-06-07', 'Hawaïenne', 2),
(94, '2019-06-11', 'Kebab', 3),
(95, '2019-06-12', 'Espagnole', NULL),
(96, '2019-06-19', 'Truffade', 5),
(97, '2019-06-23', 'Auvergnate', NULL),
(98, '2019-06-26', 'Hawaïenne', 1),
(99, '2019-06-30', 'Kebab', 3),
(100, '2019-07-08', 'Truffade', 4),
(101, '2019-07-09', 'Kebab', 5),
(102, '2019-07-12', 'Margherita', 4),
(103, '2019-07-15', 'Auvergnate', NULL),
(104, '2019-07-21', 'Calzone', 5),
(105, '2019-07-22', 'Calzone', 3),
(106, '2019-07-27', 'Margherita', NULL),
(107, '2019-08-03', '4 Fromages', 5),
(108, '2019-08-08', 'Truffade', 5),
(109, '2019-08-11', 'Auvergnate', 4),
(110, '2019-08-13', 'Hawaïenne', 3),
(111, '2019-08-15', 'Hawaïenne', 2),
(112, '2019-08-16', 'Hawaïenne', NULL),
(113, '2019-08-17', '4 Fromages', NULL),
(114, '2019-08-20', 'Truffade', 5),
(115, '2019-08-24', 'Chèvre', 4),
(116, '2019-08-24', 'Calzone', 4),
(117, '2019-08-26', 'Espagnole', 5),
(118, '2019-08-27', 'Kebab', NULL),
(119, '2019-09-01', 'Chèvre', 3),
(120, '2019-09-04', 'Margherita', NULL),
(121, '2019-09-06', 'Chèvre-miel', 3),
(122, '2019-09-07', 'Chèvre-miel', 5),
(123, '2019-09-07', 'Hawaïenne', 4),
(124, '2019-09-08', 'Chèvre', 5),
(125, '2019-09-13', 'Espagnole', 4),
(126, '2019-09-15', 'Kebab', NULL),
(127, '2019-09-22', 'Truffade', NULL),
(128, '2019-09-22', 'Margherita', 5),
(129, '2019-09-23', 'Kebab', NULL),
(130, '2019-09-25', 'Calzone', NULL),
(131, '2019-10-05', 'Pepperoni', 5),
(132, '2019-10-08', 'Chèvre-miel', 4),
(133, '2019-10-08', 'Kebab', NULL),
(134, '2019-10-11', 'Truffade', NULL),
(135, '2019-10-14', 'Truffade', 5),
(136, '2019-10-15', 'Margherita', NULL),
(137, '2019-10-16', 'Calzone', NULL),
(138, '2019-10-16', '4 Fromages', 4),
(139, '2019-10-22', 'Auvergnate', 5),
(140, '2019-10-25', 'Auvergnate', NULL),
(141, '2019-10-26', 'Truffade', 5),
(142, '2019-11-05', 'Margherita', 5),
(143, '2019-11-05', 'Espagnole', NULL),
(144, '2019-11-11', '4 Fromages', NULL),
(145, '2019-11-13', 'Margherita', 4),
(146, '2019-11-14', 'Kebab', NULL),
(147, '2019-11-14', 'Chèvre-miel', NULL),
(148, '2019-11-16', 'Kebab', NULL),
(149, '2019-11-26', 'Hawaïenne', 2),
(150, '2019-11-27', 'Auvergnate', 4),
(151, '2019-11-29', 'Auvergnate', 5),
(152, '2019-11-29', '4 Fromages', NULL),
(153, '2019-12-09', 'Hawaïenne', 3),
(154, '2019-12-14', 'Auvergnate', 5),
(155, '2019-12-22', 'Auvergnate', 3),
(156, '2019-12-23', 'Calzone', NULL),
(157, '2019-12-24', 'Pepperoni', NULL),
(158, '2019-12-29', 'Chèvre', 5),
(159, '2019-12-31', 'Truffade', 5),
(160, '2019-12-31', 'Espagnole', 5),
(161, '2019-12-31', 'Espagnole', 4),
(162, '2020-01-03', '4 Fromages', NULL),
(163, '2020-01-07', 'Auvergnate', 5),
(164, '2020-01-09', 'Hawaïenne', NULL),
(165, '2020-01-21', 'Margherita', 4),
(166, '2020-01-22', 'Chèvre', 4),
(167, '2020-02-01', 'Chèvre-miel', NULL),
(168, '2020-02-04', '4 Fromages', NULL),
(169, '2020-02-04', 'Truffade', 5),
(170, '2020-02-04', 'Calzone', NULL),
(171, '2020-02-05', 'Chèvre', 4),
(172, '2020-02-10', 'Hawaïenne', 4),
(173, '2020-02-11', 'Kebab', 1),
(174, '2020-02-12', 'Espagnole', 4),
(175, '2020-02-13', 'Truffade', 4),
(176, '2020-02-20', 'Kebab', 5),
(177, '2020-02-21', 'Margherita', NULL),
(178, '2020-02-26', 'Calzone', 5),
(179, '2020-02-27', 'Chèvre-miel', NULL),
(180, '2020-02-29', '4 Fromages', 4),
(181, '2020-03-04', 'Espagnole', 4),
(182, '2020-03-06', 'Calzone', 5),
(183, '2020-03-09', 'Truffade', NULL),
(184, '2020-03-15', 'Hawaïenne', 3),
(185, '2020-03-17', 'Auvergnate', 4),
(186, '2020-03-18', 'Kebab', 3),
(187, '2020-03-26', 'Auvergnate', 5),
(188, '2020-03-28', 'Truffade', NULL),
(189, '2020-03-30', 'Chèvre-miel', 5),
(190, '2020-04-09', 'Chèvre-miel', 4),
(191, '2020-04-10', 'Margherita', NULL),
(192, '2020-04-13', 'Espagnole', 4),
(193, '2020-04-16', 'Hawaïenne', 4),
(194, '2020-04-16', 'Auvergnate', 5),
(195, '2020-04-18', 'Chèvre-miel', NULL),
(196, '2020-04-19', 'Auvergnate', 5),
(197, '2020-04-23', 'Truffade', 5),
(198, '2020-04-29', 'Pepperoni', NULL),
(199, '2020-05-08', 'Chèvre-miel', 5),
(200, '2020-05-09', '4 Fromages', 4);

--
-- Index pour les tables déchargées
--

--
-- Index pour la table `ingredients`
--
ALTER TABLE `ingredients`
  ADD PRIMARY KEY (`nom`,`nom_pizza`),
  ADD KEY `fk_pizza_i` (`nom_pizza`);

--
-- Index pour la table `pizzas`
--
ALTER TABLE `pizzas`
  ADD PRIMARY KEY (`nom`);

--
-- Index pour la table `produits`
--
ALTER TABLE `produits`
  ADD PRIMARY KEY (`nom`);

--
-- Index pour la table `ventes`
--
ALTER TABLE `ventes`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_pizza_v` (`nom_pizza`);

--
-- AUTO_INCREMENT pour les tables déchargées
--

--
-- AUTO_INCREMENT pour la table `ventes`
--
ALTER TABLE `ventes`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=20002;

--
-- Contraintes pour les tables déchargées
--

--
-- Contraintes pour la table `ingredients`
--
ALTER TABLE `ingredients`
  ADD CONSTRAINT `fk_pizza_i` FOREIGN KEY (`nom_pizza`) REFERENCES `pizzas` (`nom`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_produit` FOREIGN KEY (`nom`) REFERENCES `produits` (`nom`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Contraintes pour la table `ventes`
--
ALTER TABLE `ventes`
  ADD CONSTRAINT `fk_pizza_v` FOREIGN KEY (`nom_pizza`) REFERENCES `pizzas` (`nom`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
